Projects

Associate Product Space To Project

Associate a product space to a project.

POST
/opm/projects/{projectId}/product-space/associate

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

productSpaceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.dokaai.com/api/v1/dokaai/opm/projects/string/product-space/associate" \  -H "Content-Type: application/json" \  -d '{    "productSpaceId": "string"  }'
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "productSpaceId": "string"
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}